
pure function deriv(t,lambda,xi)
   real,intent(IN) :: t
   real,intent(IN) :: lambda
   real,intent(IN),dimension(2) :: xi
   real, dimension(2) :: deriv
   real,parameter :: twopi = 8.*atan(1.)
   real :: x,y, twopit
          x=xi(1)
          y=xi(2)
          twopit = twopi * t
          
          deriv = (/ -y , x/)+(/ (1.+sin(twopit))*lambda , lambda* cos(twopit) /)
 end function deriv
