
pure function deriv(t,lambda,xi)
   real,intent(IN) :: t
   real,intent(IN) :: lambda
   real,intent(IN),dimension(2) :: xi
   real, dimension(2) :: deriv
   real :: x,y
          x=xi(1)
          y=xi(2)
          
          if ((x .ge. 0.) .and. (y .ge. 0.)) then     !A1
             deriv = (/ x , y /)
          elseif ((x .le. 0.) .and. (y .ge. -sqrt(3.)*x)) then  !A2
             deriv = (/ x , 2.*sqrt(3.)*x + y /)
          elseif ((x .ge. 0.) .and. (y .gt. -sqrt(3.)/3.*x)) then  !A4   
             deriv=(/ x+2.*sqrt(3.)*y , y /)
!              f=(/ 1. , 1. /)
          else                      !A3
             deriv = (/ -2.*x -sqrt(3.)*y , -sqrt(3.)*x-2.*y /)
!              f =(/ 1. , 1. /)
             end if
 end function deriv
