
pure function deriv(t,lambda,xi)
   real,intent(IN) :: t
   real,intent(IN) :: lambda
   real,intent(IN),dimension(2) :: xi
   real,dimension(2) :: deriv
   real :: x,y
   x=xi(1)
   y=xi(2)
          
          if ((x .ge. 0.) .and. (y .ge. 0.)) then     !A1
             deriv = (/ x , y /)
          elseif ((x .le. 0.) .and. (y .ge. x)) then  !A2
             deriv = (/ 0.1*x , -10.*x+y /)
          elseif ((y .le. x) .and. (y .le. -x)) then  !A3
             deriv = (/ 0.05*x+0.05*y , -4.55*x-4.45*y /)
          else                                        !A4
             deriv = (/ x+y , 0.1*y /)
             end if
 end function deriv
